import React from 'react';
import styled from 'styled-components';
import { getHeight } from '../utils';
var TrackHighlight = styled.div.withConfig({
  displayName: "SliderTrackHighlight__TrackHighlight",
  componentId: "sc-p47ej5-0"
})(["width:100%;border-radius:inherit;background:", ";height:", ";"], function (p) {
  return p.$sliderColor ? p.$sliderColor(p.theme) : p.theme.color.sliderColor;
}, function (p) {
  return "".concat(getHeight(p.$variant), "px");
});
var SliderTrackHighlight = function SliderTrackHighlight(_ref) {
  var sliderColor = _ref.sliderColor,
    value = _ref.value,
    variant = _ref.variant;
  return React.createElement(TrackHighlight, {
    $sliderColor: sliderColor,
    style: {
      width: "".concat(value, "%")
    },
    $variant: variant
  });
};
export default SliderTrackHighlight;